package xmdv.graphics;



/***********************************************************

**  CopyRight (c) by Xmdv Group, CS Department of WPI, 2003

**  All Rights Reserved.

**

**  Author: Jing Yang

**  Date:   06/2003

***********************************************************/



import java.awt.*;

import java.util.HashMap;



/**

 * 

 * A set of visualization color setting can be stored and queried in an instance of this class.

 * Xmdv_Light_Java manages colors through instances of this class..

 *

 * @author  Jing Yang

 * @version v1.0

 */

public class ColorManager {

    // Variables declaration

    /** a hashmap that maps descriptive names of settings to Colors */

    protected HashMap colors = null;  //a hash set that 

    // End of variables declaration

    

    /** Creates new ColorManager */

    public ColorManager() {

        colors = new HashMap();

        setColor("text", new Color(0x00, 0x00, 0x00));

        setColor("background", new Color(0xff, 0xff, 0xff));

        setColor("data", new Color(0x61, 0xf3, 0x69));

        setColor("highlight", new Color(0xf2, 0x00, 0x00));

        setColor("grid0", new Color(0xff, 0x0f, 0x0f));

        setColor("grid1", new Color(0x0f, 0xff, 0x0f));

        setColor("grid2", new Color(0x0f, 0x0f, 0xff));

        setColor("grid3", new Color(0x0f, 0x0f, 0xff));

        setColor("brush", new Color(0xaf, 0xaf, 0xea));

        setColor("brushbox", new Color(0x00, 0x00, 0x00));

        setColor("paint", new Color(0x98, 0x00, 0x98));

     }

    

    /** 

    * Sets a color for a certain setting 

    * @param descr descriptive name of the setting

    * @param color color to be set

    */ 

    public void setColor(String descr, Color color) {

        colors.put(descr, color);

    }

    

    /** 

    * Gets a color for a certain setting 

    * @param descr descriptive name of the setting

    * @return color of the setting if there exists the color mapping 

    * for this setting in the hashmap. Otherwise returns a black color.  

    */ 

    public Color getColor(String descr) {

        if (colors.get(descr) != null )

            return (Color)(colors.get(descr));

        else {

            Color color = new Color(0, 0, 0);

            return color;

        }

    }

}